Skip to content
On this page

Matrix widget

Data attributes

account_token

Type: String

Description: Account token in [account]-[env] format

Required: true

locale

Type: String

Description: Locale setup

Default: nl

sales_channel

Type: String

Description: Tommy booking sales channel id

accommodation

Type: String

Description: Accommodation API value

Required: true

date

Type: String

Description: Matrix startDate

Required: false

min_date

Type: String

Description: Matrix minimum date

Required: false

durations

Type: Array

Description: Default durations to show

Default: [2, 3, 4, 5, 7, 10]

matrix_min_columns

Type: Number

Description: Matrix minimum columns to display

Default: 0

matrix_max_columns

Type: Number

Description: Matrix maximum columns to display

Default: 0

matrix_show_more_options

Type: Boolean

Description: Show matrix more options button

Default: false

matrix_show_popover

Type: Boolean

Description: Use a popover tooltip on matrix prices with a price calculation overview

matrix_use_period_durations

Type: Boolean

Description: Show durations based on given period (one duration before, one duration after)

Default: false

booking_url

Type: String

Description: URL used to redirect (with filtering query params)

Required: true

translations

Type: Array

Description: Array with locale as key with nested array translations (key:value)

Default: []

booking_trigger

Type: String

Description: Event name to trigger booking event

Example:

html
data-booking_trigger="bookEventMatrix"
javascript
document.addEventListener('bookEventMatrix', function(evt) {
    console.warn('TRIGGER: BookEvent(bookEventMatrix)', evt.detail);
});

use_location_characteristics_switcher

Type: Boolean

Description: Use location and characteristics as checkbox switcher element (only shown when location filter is provided)

Default: false

filters

Type: Array

Description: Filter sequence

Default: []

Values:

ValueDescription
datedaterangepicker filter
travelgrouptravelgroup filter
object_characteristicobject characteristics filter

show_deposit_cost

Type: Boolean

Description: Show deposit costs in price calculation

Default: false